Subject: Re: [PATCH 2/4] bgmac: write mac address to hardware in ndo_set_mac_address

From: Hauke Mehrtens <[email-masked]>
Date: Wed, 06 Feb 2013 16:17:33 +0100

On 02/06/2013 03:57 PM, Rafał Miłecki wrote:
> 2013/2/6 Hauke Mehrtens <[email-masked]>:
>> The generic implementation just changes the netdev struct and does not
>> write the new mac address to the hardware or issues some command to do
>> so.
> 
> That's because generic "eth_mac_addr" allows changing MAC only when
> interface is down. And we "upload" MAC address during bringing
> interface up. So there wasn't any bug, it was just working that way :)
> 
> One question: how you tested if changing MAC with keeping interface up
> works correctly? I just don't know if simple writes to
> BGMAC_MACADDR_HIGH and BGMAC_MACADDR_LOW are enough.
> 
> If it works for you (changing MAC without stopping interface), I'm OK with that.
> 
Yes that works in promisc and non promisc mode, I did this while pinging
the device and I had no package lose.

Hauke